Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLMetaElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLMetaElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLMetaElement, Node

public class JRexHTMLMetaElementImpl
extends JRexHTMLElementImpl
implements HTMLMetaElement

A class implementing org.w3c.dom.html2.HTMLMetaElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLMetaElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getContent()` Associated information.
`String` | `getHttpEquiv()` HTTP response header name [IETF RFC 2616].
`String` | `getName()` Meta information name.
`String` | `getScheme()` Select form of content.
`void` | `setContent(String content)` Associated information.
`void` | `setHttpEquiv(String httpEquiv)` HTTP response header name [IETF RFC 2616].
`void` | `setName(String name)` Meta information name.
`void` | `setScheme(String scheme)` Select form of content.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getContent

    public String getContent()

  Description copied from interface: `HTMLMetaElement`
  Associated information. See the content attribute definition in HTML 4.01.

  Specified by:
    `getContent` in interface `HTMLMetaElement`

### setContent

    public void setContent(String content)

  Description copied from interface: `HTMLMetaElement`
  Associated information. See the content attribute definition in HTML 4.01.

  Specified by:
    `setContent` in interface `HTMLMetaElement`

### getHttpEquiv

    public String getHttpEquiv()

  Description copied from interface: `HTMLMetaElement`
  HTTP response header name [IETF RFC 2616]. See the http-equiv attribute definition in HTML 4.01.

  Specified by:
    `getHttpEquiv` in interface `HTMLMetaElement`

### setHttpEquiv

    public void setHttpEquiv(String httpEquiv)

  Description copied from interface: `HTMLMetaElement`
  HTTP response header name [IETF RFC 2616]. See the http-equiv attribute definition in HTML 4.01.

  Specified by:
    `setHttpEquiv` in interface `HTMLMetaElement`

### getName

    public String getName()

  Description copied from interface: `HTMLMetaElement`
  Meta information name. See the name attribute definition in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLMetaElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLMetaElement`
  Meta information name. See the name attribute definition in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLMetaElement`

### getScheme

    public String getScheme()

  Description copied from interface: `HTMLMetaElement`
  Select form of content. See the scheme attribute definition in HTML 4.01.

  Specified by:
    `getScheme` in interface `HTMLMetaElement`

### setScheme

    public void setScheme(String scheme)

  Description copied from interface: `HTMLMetaElement`
  Select form of content. See the scheme attribute definition in HTML 4.01.

  Specified by:
    `setScheme` in interface `HTMLMetaElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.